[![Documentation Status](https://readthedocs.org/projects/pochas-geoutils/badge/?version=latest)](https://pochas-geoutils.readthedocs.io/en/latest/?badge=latest)
[![image](https://img.shields.io/pypi/v/pochas-geoutils)](https://pypi.org/project/pochas-geoutils/)
[![image](https://img.shields.io/badge/License-MIT-yellow.svg)](https://opensource.org/licenses/MIT)
![](https://github.com/behzad89/pochas-geoutils/workflows/deploy_pypi/badge.svg)
#  pochas-geoutils Python Package

📦 This Python package provides spatial data handling tools 🛠️ to facilitate the input of data to machine learning algorithms🤖. All functionalities have been developed to enable user-friendly 👨‍💻 geo-data processing in [**POCHAS project**](https://www.swisstph.ch/fr/projects/project-detail/project/effects-of-airborne-pollen-on-cardiorespiratory-health-and-allergic-symptoms)

🌍 This package is especially useful for working with geospatial data in various applications such as environmental monitoring, transportation, and location-based services.

# Documentation

📚 For more information on how to use this package, check out the [documentation](https://pochas-geoutils.readthedocs.io/en/latest/?badge=latest#).

# Installation

- _GitHUB_:
  `pip install git+https://github.com/SwissTPH/pochas-geoutils.git`
- _pip_:
  `pip install pochas-geoutils`

# Tutorial

🎓 A jupyter notebook and test data are available [here](https://github.com/SwissTPH/pochas-geoutils/tree/Tutorials/Tutorials).

# Dockerfile

The Dockerfile 🐳 to setup the **python container** 🐍 is provided on the **ubuntu:20.04** environment [here](https://github.com/behzad89/pochas-geoutils/tree/main/src).

# Contributions
👷‍♂️ Contributions and feedback are always welcome! If you encounter any issues or have suggestions for improvements, please feel free to open an issue or submit a pull request.
# License
📝 This package is released under the [MIT](./LICENSE)